=== debian/control ===
Source: ros-dashing-rosbag2
Section: misc
Priority: extra
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gmock, ros-dashing-ament-index-cpp, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-pluginlib, ros-dashing-poco-vendor, ros-dashing-rcutils, ros-dashing-rosbag2-storage, ros-dashing-rosbag2-test-common, ros-dashing-rosidl-generator-cpp, ros-dashing-rosidl-typesupport-cpp, ros-dashing-rosidl-typesupport-introspection-cpp, ros-dashing-shared-queues-vendor, ros-dashing-test-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rosbag2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-ament-index-cpp, ros-dashing-pluginlib, ros-dashing-poco-vendor, ros-dashing-rcutils, ros-dashing-rosbag2-storage, ros-dashing-rosidl-generator-cpp, ros-dashing-rosidl-typesupport-cpp, ros-dashing-rosidl-typesupport-introspection-cpp, ros-dashing-shared-queues-vendor, ros-dashing-ros-workspace
Description: ROSBag2 client library
